# Uses of Interface
org.apache.sling.event.impl.support.TopicMatcher

Packages that use TopicMatcher
Package
Description
org.apache.sling.event.impl.support

## Uses of TopicMatcher in org.apache.sling.event.impl.support

Classes in org.apache.sling.event.impl.support that implement TopicMatcher
Modifier and Type
Class
Description
`class`
`ExactTopicMatcher`
The topic must match exactly.
`class`
`PackageTopicMatcher`
Package matcher - the topic must be in the same package.
`class`
`SubPackagesTopicMatcher`
Sub package matcher - the topic must be in the same package or a sub package.
Fields in org.apache.sling.event.impl.support declared as TopicMatcher
Modifier and Type
Field
Description
`static final TopicMatcher[]`
TopicMatcherHelper.`MATCH_ALL`
Methods in org.apache.sling.event.impl.support that return TopicMatcher
Modifier and Type
Method
Description
`static TopicMatcher[]`
TopicMatcherHelper.`buildMatchers(String[] topicsParam)`
Create matchers based on the topic parameters.